/* Estilo del contenedor Footer */
footer {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 40px 20px;
  gap: 20px;
  background-color: black;

  /* Estilo sección iconos */
  & section {
    position: relative;
    width: 100%;
    margin-bottom: 20px;
    text-align: center;

    /* Linea a los costados de los iconos */
    &::before,
    &::after {
      position: absolute;
      display: block;
      top: 50%;
      width: 43%;
      content: ' ';
      border-top: 1px solid #7691ad;
    }

    &::before {
      right: 0;
    }

    /* Estilos para el icono */
    & i {
      display: inline-block;
      margin: 0 10px;
      font-size: 2rem;
      color: var(--primary-1);
      transition: transform 0.3s ease-in-out;
    }

    & a:hover i {
      cursor: pointer;
      transform: scale(1.5);
    }
  }

  .copy {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;

    & span {
      font-size: 18px;
      color: var(--primary-1);
    }
  }
}

@media (300px < width < 750px) {
  /* Estilo del contenedor Footer */
  footer {
    height: 270px;
    gap: 0;

    /* Estilo sección iconos */
    & section {
      /* Linea a los costados de los iconos */
      &::before,
      &::after {
        width: 23%;
      }

      /* Estilos para el icono */
      & i {
        margin: 0 5px;
        font-size: 1.5rem;
      }
    }

    .copy {
      gap: 20px;

      & span {
        font-size: 16px;
        text-align: center;
      }
    }
  }

}
